Bug 128985 - FILESAVE, FILEOPEN: Style text directionss revert to RTL on save and re-open
Summary: FILESAVE, FILEOPEN: Style text directionss revert to RTL on save and re-open
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 odf targe...
Keywords: bibisected, bisected, dataLoss, regression
Depends on:
Blocks:
 
Reported: 2019-11-23 17:47 UTC by Eyal Rozenberg
Modified: 2019-12-05 09:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation with the bug manifesting (55.43 KB, application/vnd.oasis.opendocument.presentation)
2019-11-23 18:30 UTC, Eyal Rozenberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eyal Rozenberg 2019-11-23 17:47:38 UTC
Description:
If you save certain presentations, the text directions of many/most/all styles is set to RTL rather than LTR (either when saving or when opening).



Steps to Reproduce:

Consider the attached presentation.

Its various styles are set to RTL direction (e.g. Outline, Title) - therefore, when you open it in Impress, you see the Bullet to the right, rather than the left, of the "hello world" text:

hello world *

rather than

* hello world

Now,

1. Change the Outline 1 style's direction to LTR:
   1.1 Open sidebar
   1.2 Switch to style sidebar
   1.3 Right-click "Outline 1"
   1.4 Select the Alignment Tab
   1.5 Change the Text Direction setting to LTR
   1.6 Click OK.
2. Save the presentation
3. Close the presentation
4. Open the presentation (with or without having exited LO altogether)


Actual Results:
The Outline 1 style has RTL direction again, and we see "hello world *".


Expected Results:
The Outline 1 style should have LTR direction again, and we should see "* hello world".


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
I'm not sure under which conditions this happens. It may or may not have to do with content originally imported from MS Powerpoint. But - this makes the presentation unusable without having to set a bunch of directions every time you open it.
Comment 1 Eyal Rozenberg 2019-11-23 18:30:55 UTC
Created attachment 156064 [details]
Presentation with the bug manifesting
Comment 2 Xisco Faulí 2019-11-26 10:55:17 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=bcb371b1a830442610ad7fda476eda5271427a50

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-04-15 00:23:07 +0200
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-04-15 15:40:56 +0200
commit	bcb371b1a830442610ad7fda476eda5271427a50 (patch)
tree	b203e822dcde9f22fa56a57418c4dc4d1e96880f
parent	2436cf17304f25c7d34da52a321d6da0e9011d19 (diff)
ODF import / export of rotated text in Impress table

Bisected with: bibisect-linux-64-5.4

Adding Cc: to Tamás Zolnai
Comment 3 Eyal Rozenberg 2019-11-26 13:30:55 UTC
(In reply to Xisco Faulí from comment #2)

So did that patch forget to set something, or did it start overwriting something? It doesn't seem to be about text direction specifically.

Also - thanks for bisecting this :-)
Comment 4 Commit Notification 2019-11-26 19:09:10 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6f62a5c4ee2c1b7654c7fcaa618fb495e0d32f0a

tdf#128985: ODP: Style text directions revert to RTL on save and re-open

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eyal Rozenberg 2019-11-26 20:14:46 UTC
(In reply to Commit Notification from comment #4)

Can I trouble you to explain the problem and the solution in the patch?

> It will be available in 6.5.0.

Is there a chance of pushing this into 6.4? We're still in beta after all.
Comment 6 Xisco Faulí 2019-11-27 11:36:02 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 3a6f270edfffb97763927b2732feacedbdac1e80
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tamás Zolnai, thanks for fixing this issue!! Should it be closed as RESOLVED FIXED ?
Comment 7 Commit Notification 2019-11-28 09:27:17 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/f187550e052ac659766dc8dc4ef574714e8ac46b

tdf#128985: ODP: Style text directions revert to RTL on save and re-open

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-11-29 10:19:55 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/5d20213462ca346ba942ce5e03a5771d499d3518

tdf#128985: ODP: Style text directions revert to RTL on save and re-open

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-12-05 09:48:40 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-4":

https://git.libreoffice.org/core/commit/8aa778177b31beef5ec00ca995a14c8f6dca347f

tdf#128985: ODP: Style text directions revert to RTL on save and re-open

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.